import { NgModule } from '@angular/core';
import {DashboardRoutingModule} from './dashboard-routing.module';
import {RouterModule} from '@angular/router';
import {DashboardComponent} from './dashboard.component';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';

@NgModule({
  imports: [
    CommonModule, DashboardRoutingModule, RouterModule
  ],
  declarations: [DashboardComponent],
  providers: [IsCommunity, ConnectAdminLoginGuard],
  exports: [DashboardComponent]
})
export class DashboardModule { }
