import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {StatsComponent} from './stats.component';
import {StatsRoutingModule} from './stats-routing.module';
import {MatSlideToggleModule} from '@angular/material';

@NgModule({
    imports: [
        CommonModule, StatsRoutingModule, RouterModule, MatSlideToggleModule
    ],
    declarations: [StatsComponent],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [StatsComponent]
})
export class StatsModule { }
