import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommunityEditFormComponent} from './community-edit-form.component';
import {IsCommunity} from '../../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [IsCommunity, ConnectAdminLoginGuard], component: CommunityEditFormComponent}
        ])
    ]
})
export class CommunityEditFormRoutingModule { }
