import { NgModule } from '@angular/core';
import {WellcomeComponent} from './wellcome.component';
import {WellcomeRoutingModule} from './wellcome-routing.module';
import {RouterModule} from '@angular/router';
import {CommunitiesService} from '../../openaireLibrary/connect/communities/communities.service';
//import { EnvironmentSpecificResolver} from '../../openaireLibrary/utils/properties/environmentSpecificResolver';
import { EnvironmentSpecificService} from '../../openaireLibrary/utils/properties/environment-specific.service';
import { CommonModule } from '@angular/common';

@NgModule({
  imports: [
    CommonModule, WellcomeRoutingModule, RouterModule
  ],
  declarations: [WellcomeComponent],
  providers: [EnvironmentSpecificService],
  exports: [WellcomeComponent]
})
export class WellcomeModule { }
